#include <iostream>
#define MaxN 1000
using namespace std;
int daLiProlazi(int n, int l, int visine[])
{int pom=0;
    for(int i=0;i<n;i++)
    {
        if(l>=visine[i])
        {
            pom=i+1;
            break;
        }
    }
    if(pom==0) return -1;
    else return pom;
}
int main()
{int n,l,visine[MaxN];
    cin>>n>>l;
    for(int i=0;i<n;i++)
    {
        cin>>visine[i];
    }
    cout<<daLiProlazi(n,l,visine);
    
    return 0;
}